import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';  // Import FormsModule

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { Char3DComponent } from './char3-d/char3-d.component';
import { AiPlayerComponent } from './ai-player/ai-player.component';

@NgModule({
  declarations: [
    AppComponent,
    Char3DComponent,
    AiPlayerComponent,
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    FormsModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
